XmStringGetNextComponent(3Xm)

NAME
XmStringGetNextComponent — a compound string function that returns the type and value of the next component in a compound string.

SYNOPSIS
#include <Xm/Xm.h>

XmStringComponentType XmStringGetNextComponent (context, text, charset, direction,
unknown_tag, unknown_length, unknown_value)
    XmStringContext    * context;
    char    ** text;
    XmStringCharSet    * charset;
    XmStringDirection    * direction;
    XmStringComponentType    * unknown_tag;
    short    * unknown_length;
    char    ** unknown_value;

DESCRIPTION
XmStringGetNextComponent returns the type and value of the next component in the compound string identified by context. It is a low-level component function. Components are returned one at a time. On return, only some output parameters will be valid; which ones can be determined by examining the return status. In the case of text, charset or direction components, only one output parameter is valid. If the return status indicates an unknown component was encountered, the tag, length, and value are returned. This function allocates the space necessary to hold returned values; freeing this space is the caller's responsibility.

context
    Specifies the string context structure which was allocated by the XmStringInitContext function.

text
    Specifies a pointer to a null terminated string.

charset
    Specifies the character set identifier to be associated with the text. This can be XmSTRING_DEFAULT_CHARSET.

direction
    Specifies the direction of the text.

unknown_tag
    Specifies the tag of an unknown component.

unknown_length
    Specifies the length of an unknown component.

unknown_value
    Specifies the value of an unknown component.

RETURN VALUE
Returns the type of component found.

RELATED INFORMATION
XmStringCreate(3Xm) and XmStringInitContext(3Xm).